<template>
  <div class="articles-thumbs row">
    <div class="global-card col-lg-4 col-md-4 col-sm-12 col-xs-12"
         v-bind:class="[checkIfThumbNeedTobeShifted(index) ? flexEndClass : '']"
         v-for="(article, index) in articleThumbsList" :key="index">
      <q-card class="inner-card" square>
        <q-img height="200px" src="https://cdn.quasar.dev/img/parallax2.jpg">
        </q-img>
        <q-card-actions style="min-height: 200px">
          <div class="thumb-title">{{article.title}} </div>
          <div class="thumb-content">{{ article.excerpt }}</div>
          <div class="btn-detail"><q-btn class="classic-btn-format" outline color="primary" label="Detail" /></div>
        </q-card-actions>
      </q-card>
    </div>
  </div>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import {Article} from "src/models/Article";

@Component
export default class articlesThumbsComponent extends Vue {
  @Prop({ type: Array })  articles!: Article[];

  private articleThumbsList: Article[];
  private flexEndClass: String = 'flex-end';

  created(){
    this.articleThumbsList = this.articles;
    console.log(this.articleThumbsList);
  }

  checkIfThumbNeedTobeShifted(index){
    return index == 0 || index == 2 || index == 3 || index == 5 ? true :false;
  }
}

</script>
<style lang="scss">
@import '../css/app.scss';
/*********ELEMENTS********/
.articles-thumbs{
  width: 80%;
  display: flex;
  margin: auto;
}
.thumb-title{
  color:#586D35!important;
  font-family: 'corbel';
  font-size: large;
  font-weight: bold;
}
.thumb-content{
  color:#586D35!important;
  font-weight: lighter;
}
.global-card{
  padding: 1vw;
  height: 450px!important;
  display: flex;
  overflow: hidden;
  position: relative;
}
.inner-card{
  box-shadow: none;
}
.flex-end{
  align-items: flex-end!important;
}
.btn-detail{
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  width: 100%;
}
/*********ADJUSTMENT*********/
</style>

